4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.ExtendedProcessingElements

Extended versions of XSLT elements for debugging and execution tracing
These subclasses typically just override the .instantiate method of the
original class, doing something before calling the original method, like
writing debug or trace output and maintaining whatever state info is
necessary in the process.
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes:
BaseElement, ExtendedAttributeElement, ExtendedChooseElement, ExtendedCommentElement, ExtendedCopyElement, ExtendedCopyOfElement, ExtendedElementElement, ExtendedForEachElement, ExtendedIfElement, ExtendedLiteralElement, ExtendedProcessingInstructionElement, ExtendedProcessor, ExtendedSimpleElement, ExtendedTemplateElement, ExtendedValueOfElement

Functions:
GetMappings

Fields:
newMappings

## Classes

class BaseElement
An XSLT element superclass that supports debugging and execution tracing.
An existing XSLT element can be extended by subclassing this and the
original element class. In order to make use of the extended class, it
should be referenced in Ft.Xml.Xslt.StylesheetHandler._ELEMENT_MAPPING,
and additional instance variables necessary should be set as desired.

### Methods

doAll(self, processor, method, args, argNames, name)
This method, specific to extended processign elements, attempts to perform all extended processing. By default, it looks at the given processor's instance variables to determine what to do; e.g., processor._4xslt_debug can trigger debug handling.
processor is the active Processor instance.
method is the instantiate method of the original element class.
args are a sequence of arguments (besides self) for the method.
argNames are the names of these arguments, for display purposes
(the names from the method signature, usually). keyword args are
not supported.
name is the display name of the original element.

class ExtendedAttributeElement(ExtendedSimpleElement, Ft.Xml.Xslt.AttributeElement.AttributeElement)

### Methods

getName(self)

### Methods inherited from class ExtendedSimpleElement

instantiate

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class ExtendedChooseElement(BaseElement, Ft.Xml.Xslt.ChooseElement.ChooseElement)

### Methods

instantiate(self, context, processor)

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.ChooseElement.ChooseElement

setup

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime

### Fields

class ExtendedCommentElement(ExtendedSimpleElement, Ft.Xml.Xslt.CommentElement.CommentElement)

### Methods

getName(self)

### Methods inherited from class ExtendedSimpleElement

instantiate

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class ExtendedCopyElement(ExtendedSimpleElement, Ft.Xml.Xslt.CopyElement.CopyElement)

### Methods

getName(self)

### Methods inherited from class ExtendedSimpleElement

instantiate

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class ExtendedCopyOfElement(ExtendedSimpleElement, Ft.Xml.Xslt.CopyOfElement.CopyOfElement)

### Methods

getName(self)

### Methods inherited from class ExtendedSimpleElement

instantiate

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class ExtendedElementElement(ExtendedSimpleElement, Ft.Xml.Xslt.ElementElement.ElementElement)

### Methods

getName(self)

### Methods inherited from class ExtendedSimpleElement

instantiate

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.ElementElement.ElementElement

execute

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class ExtendedForEachElement(ExtendedSimpleElement, Ft.Xml.Xslt.ForEachElement.ForEachElement)

### Methods

getName(self)

### Methods inherited from class ExtendedSimpleElement

instantiate

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.ForEachElement.ForEachElement

setup

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime

### Fields

class ExtendedIfElement(BaseElement, Ft.Xml.Xslt.IfElement.IfElement)

### Methods

instantiate(self, context, processor)

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class ExtendedLiteralElement(ExtendedSimpleElement, Ft.Xml.Xslt.LiteralElement.LiteralElement)

### Methods

getName(self)

### Methods inherited from class ExtendedSimpleElement

instantiate

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.LiteralElement.LiteralElement

fixupAliases

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class ExtendedProcessingInstructionElement(ExtendedSimpleElement, Ft.Xml.Xslt.ProcessingInstructionElement.ProcessingInstructionElement)

### Methods

getName(self)

### Methods inherited from class ExtendedSimpleElement

instantiate

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class ExtendedProcessor(BaseElement, Ft.Xml.Xslt.Processor.Processor)
A version of the Processor class that supports debugging and tracing.

### Methods

applyTemplates(self, context, params=None)

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.Processor.Processor

__init__, addHandler, appendStylesheet, appendStylesheetInstance, appendStylesheetNode, execute, getDocumentReader, getStripElements, getStylesheetReader, messageControl, output, popResult, pushResult, pushResultString, pushResultTree, registerExtensionElement, registerExtensionFunction, registerExtensionModules, removeHandler, reset, run, runNode, setDocumentReader, setStylesheetReader, warning, xslMessage

### Methods inherited from class __builtin__.object

__delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __repr__, __setattr__, __str__

### Fields

class ExtendedSimpleElement(BaseElement)

### Methods

instantiate(self, context, processor)

### Methods inherited from class BaseElement

doAll

class ExtendedTemplateElement(BaseElement, Ft.Xml.Xslt.TemplateElement.TemplateElement)

### Methods

instantiate(self, context, processor, params=None)

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.TemplateElement.TemplateElement

getTemplateInfo

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class ExtendedValueOfElement(ExtendedSimpleElement, Ft.Xml.Xslt.ValueOfElement.ValueOfElement)

### Methods

getName(self)

### Methods inherited from class ExtendedSimpleElement

instantiate

### Methods inherited from class BaseElement

doAll

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

## Functions

GetMappings()

## Fields

newMappings = {'attribute': 'ExtendedProcessingElements.ExtendedAttributeElement', 'choose': 'ExtendedProcessingElements.ExtendedChooseElement', 'comment': 'ExtendedProcessingElements.ExtendedCommentElement', 'copy': 'ExtendedProcessingElements.ExtendedCopyElement', 'copy-of': 'ExtendedProcessingElements.ExtendedCopyOfElement', 'element': 'ExtendedProcessingElements.ExtendedElementElement', 'for-each': 'ExtendedProcessingElements.ExtendedForEachElement', 'if': 'ExtendedProcessingElements.ExtendedIfElement', 'processing-instruction': 'ExtendedProcessingElements.ExtendedProcessingInstructionElement', 'template': 'ExtendedProcessingElements.ExtendedTemplateElement', ...}